package com.bocloud.cmp.provider.manageone;

import com.bocloud.cmp.model.manageone.VdcProjectModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface VdcProjectProvider extends SuperProvider {
    BocloudResult list(String vdcId);

    BocloudResult create(VdcProjectModel model);

    BocloudResult remove(String projectId);

    BocloudResult detail(String projectId);

    BocloudResult update(VdcProjectModel model);
}
